<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>react-native-bluetooth-serial: com.rusel.RCTBluetoothSerial.RCTBluetoothSerialPackage Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../dog.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">react-native-bluetooth-serial
   &#160;<span id="projectnumber">1.0.0</span>
   </div>
   <div id="projectbrief">Port of https://github.com/don/BluetoothSerial for react native</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>com</b></li><li class="navelem"><b>rusel</b></li><li class="navelem"><a class="el" href="../../db/d7f/namespacecom_1_1rusel_1_1RCTBluetoothSerial.html">RCTBluetoothSerial</a></li><li class="navelem"><a class="el" href="../../d5/df5/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialPackage.html">RCTBluetoothSerialPackage</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../d1/dc8/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialPackage-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">com.rusel.RCTBluetoothSerial.RCTBluetoothSerialPackage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for com.rusel.RCTBluetoothSerial.RCTBluetoothSerialPackage:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/df5/classcom_1_1rusel_1_1RCTBluetoothSerial_1_1RCTBluetoothSerialPackage.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a784c243a9144bde71aa83507d267f9b5"><td class="memItemLeft" align="right" valign="top"><a id="a784c243a9144bde71aa83507d267f9b5"></a>
List&lt; NativeModule &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>createNativeModules</b> (ReactApplicationContext reactContext)</td></tr>
<tr class="separator:a784c243a9144bde71aa83507d267f9b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe782e2408b7e4c552a98d47afb098f0"><td class="memItemLeft" align="right" valign="top"><a id="afe782e2408b7e4c552a98d47afb098f0"></a>
List&lt; Class&lt;? extends JavaScriptModule &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>createJSModules</b> ()</td></tr>
<tr class="separator:afe782e2408b7e4c552a98d47afb098f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b463dc09dc206feff7045d3665969ac"><td class="memItemLeft" align="right" valign="top"><a id="a6b463dc09dc206feff7045d3665969ac"></a>
List&lt; ViewManager &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>createViewManagers</b> (ReactApplicationContext reactContext)</td></tr>
<tr class="separator:a6b463dc09dc206feff7045d3665969ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/romain/Téléchargements/react-native-bluetooth-serial/android/src/main/java/com/rusel/RCTBluetoothSerial/RCTBluetoothSerialPackage.java</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
